CREATE TABLE IF NOT EXISTS `video` (
  `id` int(11) NOT NULL auto_increment,
  `id_p` int(11) NOT NULL,
  `type` set('1','2','3') NOT NULL,
  `name` varchar(255) NOT NULL,
  `path` varchar(255) NOT NULL,
  `folder` varchar(255) NOT NULL,
  `about` text NOT NULL,
  `size` float NOT NULL,
  `loads` int(11) NOT NULL,
  `create` int(11) NOT NULL,
  `lastload` int(11) NOT NULL,
  `position` int(11) NOT NULL,
  PRIMARY KEY  (`id`),
  INDEX `id_p` (`id_p`),
  UNIQUE KEY `path` (`path`),
  INDEX `folder` (`folder`),
  INDEX `create` (`create`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;