<?php
$tempvar = array('ip' => null, 'ua' => null, 'referer' => null);

if (isset($_SERVER['HTTP_X_FORWARDED_FOR']) && preg_match('~^[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}$~', $_SERVER['HTTP_X_FORWARDED_FOR']))
	$tempvar['ip'] = $_SERVER['HTTP_X_FORWARDED_FOR'];
elseif (isset($_SERVER['HTTP_CLIENT_IP']) && preg_match('|^[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}$|', $_SERVER['HTTP_CLIENT_IP']))
	$tempvar['ip'] = $_SERVER['HTTP_CLIENT_IP'];
elseif (isset($_SERVER['REMOTE_ADDR']) && preg_match('|^[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}$|', $_SERVER['REMOTE_ADDR']))
	$tempvar['ip'] = $_SERVER['REMOTE_ADDR'];

if ($tempvar['ip'] != null) $tempvar['ip'] = ip2long($tempvar['ip']);

if (isset($_SERVER['HTTP_X_OPERAMINI_PHONE_UA'])) {
	$tempvar['ua'] = strtok($_SERVER['HTTP_X_OPERAMINI_PHONE_UA'], '/');
	$tempvar['ua'] = strtok($tempvar['ua'], '(');
	$tempvar['ua'] = 'Opera Mini ('.$tempvar['ua'].')';
}
elseif (isset($_SERVER['HTTP_USER_AGENT'])) {
	$tempvar['ua'] = strtok($_SERVER['HTTP_USER_AGENT'], '/');
	$tempvar['ua'] = strtok($tempvar['ua'], '(');
}
?>