<?php
if (class_exists('ffmpeg_movie')) {
	$info['media'] = array('height' => null, 'width' => null, 'codec' => null, 'time' => null, 'bitrate' => null);
	$media = new ffmpeg_movie(ROOT.'files/video/'.$info['path']);
	$info['media']['width'] = $media -> GetFrameWidth();
	$info['media']['height'] = $media -> GetFrameHeight();
	$info['media']['codec'] = $media -> getVideoCodec();

	if (intval($media -> getDuration())>3599)
		$info['media']['time'] = intval($media->getDuration()/3600).":".date('s',fmod($media->getDuration()/60,60)).":".date('s',fmod($media->getDuration(),3600));
	elseif (intval($media->getDuration())>59)
		$info['media']['time'] = intval($media->getDuration()/60).":".date('s',fmod($media->getDuration(),60));
	else
		$info['media']['time'] = intval($media->getDuration()).'сек';

	$info['media']['bitrate'] = ceil(($media->getBitRate())/1024).' KBPS';
	file_put_contents(ROOT.'files/video/'.$filedir.'/file.media', serialize($info['media']));
	chmod(ROOT.'files/video/'.$filedir.'/file.media', 0600);
}
?>