<?php
ini_set('register_globals', 0);
ini_set('session.cookie_domain', $_SERVER['HTTP_HOST']);
//ini_set('session.save_path', ROOT .'temp/sess');

 define ('TIME_START', microtime(1));
 define ('MEMORY_START', memory_get_usage());
 define ('ROOT', $_SERVER['DOCUMENT_ROOT'].'/');
 define ('TIME', $_SERVER['REQUEST_TIME']);

$_DATA = include(ROOT.'system/config/settings.php');

if (isset ($_GET['module']) && preg_match("|^[a-zA-Z0-9\_]*$|", $_GET['module'])) 
   $_DATA['area'] = $_GET['module'];
else
   $_DATA['area'] = 'index';

if (isset ($_GET['page']) && preg_match("|^[a-zA-Z0-9\_]*$|", $_GET['page']))
   $_DATA['area'] .= '/'.$_GET['page'];
else
   $_DATA['area'] .= '/index';

session_name('sky');
if (!preg_match('~^[A-Za-z0-9]{32}$~', session_id()))
   session_regenerate_id();
session_start();

include (ROOT.'system/kernel/mysqli.php');
include (ROOT.'system/kernel/functions.php');

if (isset($_SESSION['userid'])) {
   include (ROOT.'system/kernel/session_aut.php');
}
elseif (isset($_COOKIE['userid']) && isset($_COOKIE['pass'])) {
   include (ROOT.'system/kernel/cookie_aut.php');
}
else {
   include (ROOT.'system/kernel/guests_aut.php');
}

if ($_DATA['errors'] == 'on' && IS_ADMIN)
   error_reporting (E_ALL); 
else
   error_reporting (0);

$error = null;
$sysmsg = null;

if (file_exists (ROOT.'system/modules/'.$_DATA['area'].'.php')) {
   include (ROOT.'system/modules/'.$_DATA['area'].'.php');
}
else {
   header('Location: /error.html');exit;
}

include (ROOT.'system/views/_main/header.tmpl');

if ($_DATA['ads'] == 'on')
   ads_out('top');

if ($error != null || $sysmsg != null) {
   include (ROOT.'system/views/_main/err_msg.tmpl');
}

include (ROOT.'system/views/'.$_DATA['area'].'.tmpl');
include (ROOT.'system/views/_main/footer.tmpl');
?>